path: /build/build/mpd-media-sound-0.24.5.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-ao -chromaprint -doc -expat -jack -libmpdclient -libsamplerate -libsoxr -mpg123 -nfs -openal -qobuz -samba -selinux -sndio -sqlite -udisks -upnp -zip alsa audiofile cdio curl dbus faad ffmpeg flac fluidsynth gme icu id3tag lame mad mikmod mms modplug musepack network opus pulseaudio sid sndfile twolame vorbis wavpack wildmidi zeroconf zlib" emerge media-sound/mpd -pv -t && \
    USE="-ao -chromaprint -doc -expat -jack -libmpdclient -libsamplerate -libsoxr -mpg123 -nfs -openal -qobuz -samba -selinux -sndio -sqlite -udisks -upnp -zip alsa audiofile cdio curl dbus faad ffmpeg flac fluidsynth gme icu id3tag lame mad mikmod mms modplug musepack network opus pulseaudio sid sndfile twolame vorbis wavpack wildmidi zeroconf zlib" emerge -j ${JOBS} --nodeps media-sound/mpd && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/mpd && \
    luet-portage --dir /pkgdir/mpd media-sound/mpd && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:86b908e0e977dbee96dcccfc5feec8345603b2a434dbf4582ca4c4aea34126ae
  package:
    name: mpd
    version: 0.24.5
    category: media-sound
    use_flags:
    - -ao
    - -chromaprint
    - -doc
    - -expat
    - -jack
    - -libmpdclient
    - -libsamplerate
    - -libsoxr
    - -mpg123
    - -nfs
    - -openal
    - -qobuz
    - -samba
    - -selinux
    - -sndio
    - -sqlite
    - -udisks
    - -upnp
    - -zip
    - alsa
    - audiofile
    - cdio
    - curl
    - dbus
    - faad
    - ffmpeg
    - flac
    - fluidsynth
    - gme
    - icu
    - id3tag
    - lame
    - mad
    - mikmod
    - mms
    - modplug
    - musepack
    - network
    - opus
    - pulseaudio
    - sid
    - sndfile
    - twolame
    - vorbis
    - wavpack
    - wildmidi
    - zeroconf
    - zlib
    requires:
    - name: libsidplayfp
      version: '>=0'
      category: media-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: The Music Player Daemon (mpd)
    uri:
    - https://www.musicpd.org
    - https://github.com/MusicPlayerDaemon/MPD
    license: GPL-2
    buildtimestamp: 2025-09-06 23:57:33.124915896 +0000 UTC m=+643.871813134
    labels:
      BDEPEND: dev-util/meson virtual/pkgconfig >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
      DEPEND: sys-libs/liburing:= alsa? ( media-libs/alsa-lib media-sound/alsa-utils
        ) ao? ( media-libs/libao:=[alsa?,pulseaudio?] ) audiofile? ( media-libs/audiofile:=
        ) cdio? ( dev-libs/libcdio:= dev-libs/libcdio-paranoia ) chromaprint? ( media-libs/chromaprint
        ) curl? ( net-misc/curl ) dbus? ( sys-apps/dbus ) doc? ( dev-python/sphinx
        ) expat? ( dev-libs/expat ) faad? ( media-libs/faad2 ) ffmpeg? ( media-video/ffmpeg:=
        ) flac? ( media-libs/flac:= ) fluidsynth? ( media-sound/fluidsynth ) gme?
        ( >=media-libs/game-music-emu-0.6.0_pre20120802 ) icu? ( dev-libs/icu:= )
        id3tag? ( media-libs/libid3tag:= ) jack? ( virtual/jack ) lame? ( network?
        ( media-sound/lame ) ) libmpdclient? ( media-libs/libmpdclient ) libsamplerate?
        ( media-libs/libsamplerate ) libsoxr? ( media-libs/soxr ) mad? ( media-libs/libmad
        ) mikmod? ( media-libs/libmikmod ) mms? ( media-libs/libmms ) modplug? ( media-libs/libmodplug
        ) mpg123? ( media-sound/mpg123 ) musepack? ( media-sound/musepack-tools )
        network? ( media-libs/libshout ) nfs? ( net-fs/libnfs ) openal? ( media-libs/openal
        ) opus? ( media-libs/opus ) pulseaudio? ( media-sound/pulseaudio ) qobuz?
        ( dev-libs/libgcrypt:0 ) samba? ( net-fs/samba ) selinux? ( sec-policy/selinux-mpd
        ) sid? ( media-libs/libsidplayfp ) sndfile? ( media-libs/libsndfile ) sndio?
        ( media-sound/sndio ) sqlite? ( dev-db/sqlite:3 ) twolame? ( media-sound/twolame
        ) udisks? ( sys-fs/udisks:2 ) upnp? ( net-libs/libupnp:0 ) vorbis? ( media-libs/libvorbis
        ) wavpack? ( media-sound/wavpack ) wildmidi? ( media-sound/wildmidi ) zeroconf?
        ( net-dns/avahi[dbus] ) zip? ( dev-libs/zziplib:= ) zlib? ( sys-libs/zlib:=
        ) dev-libs/boost:= dev-libs/libfmt sys-apps/shadow
      IUSE: +alsa ao +audiofile bzip2 cdio chromaprint +cue +curl doc +dbus +eventfd
        expat faad +ffmpeg +fifo flac fluidsynth gme +icu +id3tag +inotify +ipv6 jack
        lame libmpdclient libsamplerate libsoxr +mad mikmod mms modplug mpg123 musepack
        +network nfs openal opus oss pipe pulseaudio qobuz recorder samba selinux
        sid signalfd sndfile sndio sqlite systemd twolame udisks vorbis wavpack webdav
        wildmidi upnp zeroconf zip zlib
      RDEPEND: sys-libs/liburing:= alsa? ( media-libs/alsa-lib media-sound/alsa-utils
        ) ao? ( media-libs/libao:=[alsa?,pulseaudio?] ) audiofile? ( media-libs/audiofile:=
        ) cdio? ( dev-libs/libcdio:= dev-libs/libcdio-paranoia ) chromaprint? ( media-libs/chromaprint
        ) curl? ( net-misc/curl ) dbus? ( sys-apps/dbus ) doc? ( dev-python/sphinx
        ) expat? ( dev-libs/expat ) faad? ( media-libs/faad2 ) ffmpeg? ( media-video/ffmpeg:=
        ) flac? ( media-libs/flac:= ) fluidsynth? ( media-sound/fluidsynth ) gme?
        ( >=media-libs/game-music-emu-0.6.0_pre20120802 ) icu? ( dev-libs/icu:= )
        id3tag? ( media-libs/libid3tag:= ) jack? ( virtual/jack ) lame? ( network?
        ( media-sound/lame ) ) libmpdclient? ( media-libs/libmpdclient ) libsamplerate?
        ( media-libs/libsamplerate ) libsoxr? ( media-libs/soxr ) mad? ( media-libs/libmad
        ) mikmod? ( media-libs/libmikmod ) mms? ( media-libs/libmms ) modplug? ( media-libs/libmodplug
        ) mpg123? ( media-sound/mpg123 ) musepack? ( media-sound/musepack-tools )
        network? ( media-libs/libshout ) nfs? ( net-fs/libnfs ) openal? ( media-libs/openal
        ) opus? ( media-libs/opus ) pulseaudio? ( media-sound/pulseaudio ) qobuz?
        ( dev-libs/libgcrypt:0 ) samba? ( net-fs/samba ) selinux? ( sec-policy/selinux-mpd
        ) sid? ( media-libs/libsidplayfp ) sndfile? ( media-libs/libsndfile ) sndio?
        ( media-sound/sndio ) sqlite? ( dev-db/sqlite:3 ) twolame? ( media-sound/twolame
        ) udisks? ( sys-fs/udisks:2 ) upnp? ( net-libs/libupnp:0 ) vorbis? ( media-libs/libvorbis
        ) wavpack? ( media-sound/wavpack ) wildmidi? ( media-sound/wildmidi ) zeroconf?
        ( net-dns/avahi[dbus] ) zip? ( dev-libs/zziplib:= ) zlib? ( sys-libs/zlib:=
        )
      emerge.packages: media-sound/mpd
      kit: media-kit
      original.package.name: media-sound/mpd
      original.package.slot: "0"
      original.package.version: 0.24.5
    treedir: /build/packages
  package_dir: /pkgdir/mpd
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: bdac3759185c1c0c328767c34862975fa4e1e1172e86eb6e355dd05705023af4
compressiontype: zstd
files:
- etc/init.d/mpd
- etc/logrotate.d/mpd
- etc/mpd.conf
- usr/bin/mpd
- usr/share/doc/mpd-0.24.5/AUTHORS.bz2
- usr/share/doc/mpd-0.24.5/NEWS.bz2
- usr/share/doc/mpd-0.24.5/README.md.bz2
- usr/share/icons/hicolor/scalable/apps/mpd.svg
- var/db/pkg/media-sound/mpd-0.24.5/BDEPEND
- var/db/pkg/media-sound/mpd-0.24.5/BUILD_TIME
- var/db/pkg/media-sound/mpd-0.24.5/CATEGORY
- var/db/pkg/media-sound/mpd-0.24.5/CBUILD
- var/db/pkg/media-sound/mpd-0.24.5/CFLAGS
- var/db/pkg/media-sound/mpd-0.24.5/CHOST
- var/db/pkg/media-sound/mpd-0.24.5/CONTENTS
- var/db/pkg/media-sound/mpd-0.24.5/COUNTER
- var/db/pkg/media-sound/mpd-0.24.5/CTARGET
- var/db/pkg/media-sound/mpd-0.24.5/CXX
- var/db/pkg/media-sound/mpd-0.24.5/CXXFLAGS
- var/db/pkg/media-sound/mpd-0.24.5/DEFINED_PHASES
- var/db/pkg/media-sound/mpd-0.24.5/DEPEND
- var/db/pkg/media-sound/mpd-0.24.5/DESCRIPTION
- var/db/pkg/media-sound/mpd-0.24.5/EAPI
- var/db/pkg/media-sound/mpd-0.24.5/FEATURES
- var/db/pkg/media-sound/mpd-0.24.5/HOMEPAGE
- var/db/pkg/media-sound/mpd-0.24.5/INHERITED
- var/db/pkg/media-sound/mpd-0.24.5/IUSE
- var/db/pkg/media-sound/mpd-0.24.5/IUSE_EFFECTIVE
- var/db/pkg/media-sound/mpd-0.24.5/KEYWORDS
- var/db/pkg/media-sound/mpd-0.24.5/LDFLAGS
- var/db/pkg/media-sound/mpd-0.24.5/LICENSE
- var/db/pkg/media-sound/mpd-0.24.5/NEEDED
- var/db/pkg/media-sound/mpd-0.24.5/NEEDED.ELF.2
- var/db/pkg/media-sound/mpd-0.24.5/PF
- var/db/pkg/media-sound/mpd-0.24.5/RDEPEND
- var/db/pkg/media-sound/mpd-0.24.5/REQUIRES
- var/db/pkg/media-sound/mpd-0.24.5/SIZE
- var/db/pkg/media-sound/mpd-0.24.5/SLOT
- var/db/pkg/media-sound/mpd-0.24.5/USE
- var/db/pkg/media-sound/mpd-0.24.5/environment.bz2
- var/db/pkg/media-sound/mpd-0.24.5/mpd-0.24.5.ebuild
- var/db/pkg/media-sound/mpd-0.24.5/repository
- var/lib/mpd/.keep_media-sound_mpd-0
- var/lib/mpd/music/.keep_media-sound_mpd-0
- var/lib/mpd/playlists/.keep_media-sound_mpd-0
package_cacheimage: ""
runtime:
  name: mpd
  version: 0.24.5
  category: media-sound
  use_flags:
  - -ao
  - -chromaprint
  - -doc
  - -expat
  - -jack
  - -libmpdclient
  - -libsamplerate
  - -libsoxr
  - -mpg123
  - -nfs
  - -openal
  - -qobuz
  - -samba
  - -selinux
  - -sndio
  - -sqlite
  - -udisks
  - -upnp
  - -zip
  - alsa
  - audiofile
  - cdio
  - curl
  - dbus
  - faad
  - ffmpeg
  - flac
  - fluidsynth
  - gme
  - icu
  - id3tag
  - lame
  - mad
  - mikmod
  - mms
  - modplug
  - musepack
  - network
  - opus
  - pulseaudio
  - sid
  - sndfile
  - twolame
  - vorbis
  - wavpack
  - wildmidi
  - zeroconf
  - zlib
  requires:
  - name: icu
    version: '>=0'
    category: dev-libs
  - name: audiofile
    version: '>=0'
    category: media-libs
  - name: faad2
    version: '>=0'
    category: media-libs
  - name: game-music-emu
    version: '>=0'
    category: media-libs
  - name: libid3tag
    version: '>=0'
    category: media-libs
  - name: libmad
    version: '>=0'
    category: media-libs
  - name: libmikmod
    version: '>=0'
    category: media-libs
  - name: libmms
    version: '>=0'
    category: media-libs
  - name: libshout
    version: '>=0'
    category: media-libs
  - name: libsidplayfp
    version: '>=0'
    category: media-libs
  - name: alsa-utils
    version: '>=0'
    category: media-sound-0.9
  - name: fluidsynth
    version: '>=0'
    category: media-sound
  - name: musepack-tools
    version: '>=0'
    category: media-sound
  - name: pulseaudio
    version: '>=0'
    category: media-sound
  - name: wildmidi
    version: '>=0'
    category: media-sound
  - name: ffmpeg
    version: '>=0'
    category: media-video
  - name: curl
    version: '>=0'
    category: net-misc
  - name: liburing
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: The Music Player Daemon (mpd)
  uri:
  - https://www.musicpd.org
  - https://github.com/MusicPlayerDaemon/MPD
  license: GPL-2
  labels:
    BDEPEND: dev-util/meson virtual/pkgconfig >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
    DEPEND: sys-libs/liburing:= alsa? ( media-libs/alsa-lib media-sound/alsa-utils
      ) ao? ( media-libs/libao:=[alsa?,pulseaudio?] ) audiofile? ( media-libs/audiofile:=
      ) cdio? ( dev-libs/libcdio:= dev-libs/libcdio-paranoia ) chromaprint? ( media-libs/chromaprint
      ) curl? ( net-misc/curl ) dbus? ( sys-apps/dbus ) doc? ( dev-python/sphinx )
      expat? ( dev-libs/expat ) faad? ( media-libs/faad2 ) ffmpeg? ( media-video/ffmpeg:=
      ) flac? ( media-libs/flac:= ) fluidsynth? ( media-sound/fluidsynth ) gme? (
      >=media-libs/game-music-emu-0.6.0_pre20120802 ) icu? ( dev-libs/icu:= ) id3tag?
      ( media-libs/libid3tag:= ) jack? ( virtual/jack ) lame? ( network? ( media-sound/lame
      ) ) libmpdclient? ( media-libs/libmpdclient ) libsamplerate? ( media-libs/libsamplerate
      ) libsoxr? ( media-libs/soxr ) mad? ( media-libs/libmad ) mikmod? ( media-libs/libmikmod
      ) mms? ( media-libs/libmms ) modplug? ( media-libs/libmodplug ) mpg123? ( media-sound/mpg123
      ) musepack? ( media-sound/musepack-tools ) network? ( media-libs/libshout )
      nfs? ( net-fs/libnfs ) openal? ( media-libs/openal ) opus? ( media-libs/opus
      ) pulseaudio? ( media-sound/pulseaudio ) qobuz? ( dev-libs/libgcrypt:0 ) samba?
      ( net-fs/samba ) selinux? ( sec-policy/selinux-mpd ) sid? ( media-libs/libsidplayfp
      ) sndfile? ( media-libs/libsndfile ) sndio? ( media-sound/sndio ) sqlite? (
      dev-db/sqlite:3 ) twolame? ( media-sound/twolame ) udisks? ( sys-fs/udisks:2
      ) upnp? ( net-libs/libupnp:0 ) vorbis? ( media-libs/libvorbis ) wavpack? ( media-sound/wavpack
      ) wildmidi? ( media-sound/wildmidi ) zeroconf? ( net-dns/avahi[dbus] ) zip?
      ( dev-libs/zziplib:= ) zlib? ( sys-libs/zlib:= ) dev-libs/boost:= dev-libs/libfmt
      sys-apps/shadow
    IUSE: +alsa ao +audiofile bzip2 cdio chromaprint +cue +curl doc +dbus +eventfd
      expat faad +ffmpeg +fifo flac fluidsynth gme +icu +id3tag +inotify +ipv6 jack
      lame libmpdclient libsamplerate libsoxr +mad mikmod mms modplug mpg123 musepack
      +network nfs openal opus oss pipe pulseaudio qobuz recorder samba selinux sid
      signalfd sndfile sndio sqlite systemd twolame udisks vorbis wavpack webdav wildmidi
      upnp zeroconf zip zlib
    RDEPEND: sys-libs/liburing:= alsa? ( media-libs/alsa-lib media-sound/alsa-utils
      ) ao? ( media-libs/libao:=[alsa?,pulseaudio?] ) audiofile? ( media-libs/audiofile:=
      ) cdio? ( dev-libs/libcdio:= dev-libs/libcdio-paranoia ) chromaprint? ( media-libs/chromaprint
      ) curl? ( net-misc/curl ) dbus? ( sys-apps/dbus ) doc? ( dev-python/sphinx )
      expat? ( dev-libs/expat ) faad? ( media-libs/faad2 ) ffmpeg? ( media-video/ffmpeg:=
      ) flac? ( media-libs/flac:= ) fluidsynth? ( media-sound/fluidsynth ) gme? (
      >=media-libs/game-music-emu-0.6.0_pre20120802 ) icu? ( dev-libs/icu:= ) id3tag?
      ( media-libs/libid3tag:= ) jack? ( virtual/jack ) lame? ( network? ( media-sound/lame
      ) ) libmpdclient? ( media-libs/libmpdclient ) libsamplerate? ( media-libs/libsamplerate
      ) libsoxr? ( media-libs/soxr ) mad? ( media-libs/libmad ) mikmod? ( media-libs/libmikmod
      ) mms? ( media-libs/libmms ) modplug? ( media-libs/libmodplug ) mpg123? ( media-sound/mpg123
      ) musepack? ( media-sound/musepack-tools ) network? ( media-libs/libshout )
      nfs? ( net-fs/libnfs ) openal? ( media-libs/openal ) opus? ( media-libs/opus
      ) pulseaudio? ( media-sound/pulseaudio ) qobuz? ( dev-libs/libgcrypt:0 ) samba?
      ( net-fs/samba ) selinux? ( sec-policy/selinux-mpd ) sid? ( media-libs/libsidplayfp
      ) sndfile? ( media-libs/libsndfile ) sndio? ( media-sound/sndio ) sqlite? (
      dev-db/sqlite:3 ) twolame? ( media-sound/twolame ) udisks? ( sys-fs/udisks:2
      ) upnp? ( net-libs/libupnp:0 ) vorbis? ( media-libs/libvorbis ) wavpack? ( media-sound/wavpack
      ) wildmidi? ( media-sound/wildmidi ) zeroconf? ( net-dns/avahi[dbus] ) zip?
      ( dev-libs/zziplib:= ) zlib? ( sys-libs/zlib:= )
    emerge.packages: media-sound/mpd
    kit: media-kit
    original.package.name: media-sound/mpd
    original.package.slot: "0"
    original.package.version: 0.24.5
